import { ViewPanelProps } from '../Components/SharedProps/ViewPanelProps';
import * as React from 'react';
import * as Redux from 'redux';
import { DataSet } from '../../types';
export interface DataSetViewPanelComponentProps extends ViewPanelProps {
    CurrentDataSetName: string;
    onSelectDataSet: (dataSet: DataSet) => Redux.Action;
}
interface DataSetViewPanelComponentState {
    CurrentDataSet: DataSet;
}
declare class DataSetViewPanelComponent extends React.Component<DataSetViewPanelComponentProps, DataSetViewPanelComponentState> {
    getCurrentDataSet(): DataSet;
    getDataSets(): DataSet[];
    render(): JSX.Element;
    onSelectedDataSetChanged(dataSetName: string): void;
}
export declare let DataSetViewPanelControl: import("react-redux").ConnectedComponent<typeof DataSetViewPanelComponent, import("react-redux").Omit<JSX.LibraryManagedAttributes<C, import("react-redux").GetProps<C>>, keyof DataSetViewPanelComponentProps>>;
export {};
